<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            {{'mpmApp.prospectOrganization.home.createOrEditLabel' | translate}}
        </p-header>

        <!--<div class="modal-body">
            
            <div class="form-group" [hidden]="!prospectOrganization.idProspect">
                <label for="id" jhiTranslate="global.field.id">ID</label>
                <input type="text" class="form-control" id="id" name="id" [(ngModel)]="prospectOrganization.idProspect" readonly />
            </div>

            <div class="form-group">
                <label jhiTranslate="mpmApp.prospectOrganization.organization" for="field_organization">Organization</label>
                <select class="form-control" id="field_organization" name="organization" [(ngModel)]="prospectOrganization.organizationId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="organizationOption.idParty" *ngFor="let organizationOption of organizations; trackBy: trackOrganizationById">{{organizationOption.name}}</option>
                </select>
            </div>
        </div>-->
        <p-accordion [activeIndex]="index">
            <p-accordionTab header="Tipe Konsumen">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="true">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="prospectOrganization.idProspect" readonly />
                </div>
                <div class="form-group" [hidden]="true">
                    <label class="form-control-label" jhiTranslate="mpmApp.prospectOrganization.prospectNumber" for="field_prospectNumber">Nomor Prospect</label>
                    <input type="text" class="form-control" name="prospectNumber" id="field_prospectNumber" [(ngModel)]="prospectOrganization.prospectNumber" />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.prospectOrganization.customerType" for="partyCategory">Tipe Konsumen</label>
                    <select class="form-control" id="partyCategory" name="partyCategory" [(ngModel)]="prospectOrganization.customerType">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="customerTypeOption.idCategory" *ngFor="let customerTypeOption of partycategory; trackBy: trackPartyById">{{customerTypeOption.description}}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label jhiTranslate="mpmApp.prospectOrganization.prospectSource" for="field_prospectSource"></label>
                    <select class="form-control" id="field_prospectSource" name="prospectSource" [(ngModel)]="prospectOrganization.prospectSourceId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="prospectSourceOption.idProspectSource" *ngFor="let prospectSourceOption of prospectsources; trackBy: trackProspectSourceById">{{prospectSourceOption.description}}</option>
                    </select>
                </div>

                <!-- Sumber == Event -->
                <div *ngIf="prospectOrganization.prospectSourceId == 10">
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.prospectOrganization.eventType" for="field_eventType"></label>
                        <select class="form-control" id="field_eventType" name="eventType" [(ngModel)]="prospectOrganization.eventTypeId">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="eventTypeOption.idEventType" *ngFor="let eventTypeOption of eventtypes; trackBy: trackEventTypeById">{{eventTypeOption.description}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.prospectOrganization.location"></label>
                        <textarea pInputTextarea class="form-control" id="field_eventLocation" name="eventLocation" [(ngModel)]="prospectOrganization.eventLocation"></textarea>
                    </div>
                </div>

                <!-- Sumber == Makelar -->
                <div *ngIf="prospectOrganization.prospectSourceId == 11">
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.prospectOrganization.brokerName"></label>
                        <select class="form-control" id="field_brokerName" name="brokerName">
                            <option [ngValue]="null"></option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.prospectOrganization.phoneNumber">No Telp </label>
                        <input type="text" pInputText class="form-control" id="field_phone" name="phone" />
                    </div>
                    <div class="form-group">
                        <label>NIK </label>
                        <input type="text" pInputText class="form-control" id="field_nik" name="nik" />
                    </div>
                </div>

                <!-- Sumber == Refference -->
                <div *ngIf="prospectOrganization.prospectSourceId == 12">
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.prospectOrganization.refferenceName"></label>
                        <input type="text" pInputText class="form-control" id="field_reffName" name="reffName" />
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.prospectOrganization.phoneNumber">No Telp</label>
                        <input type="text" pInputText class="form-control" id="field_reffPhone" name="reffPhone" />
                    </div>
                </div>

                <!-- Sumber == Refferal -->
                <div *ngIf="prospectOrganization.prospectSourceId == 13">
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.prospectOrganization.refferalName">Nama Refferal</label>
                        <input type="text" pInputText class="form-control" id="field_refName" name="refName" />
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.prospectOrganization.phoneNumber">No Telp</label>
                        <input type="text" pInputText class="form-control" id="field_refPhone" name="refPhone" />
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.prospectOrganization.address.address">Alamat</label>
                        <textarea pInputTextarea class="form-control" id="field_refAddress" name="refAddress"></textarea>
                    </div>
                </div>

                <!-- <div class="form-group">
                    <label jhiTranslate="mpmApp.prospect.facility" for="field_facility">Facility</label>
                    <select class="form-control" id="field_facility" name="facility" [(ngModel)]="prospectOrganization.facilityId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilities; trackBy: trackFacilityById">{{facilityOption.id}}</option>
                    </select>
                </div> -->

                <div class="form-group">
                    <label jhiTranslate="mpmApp.prospect.salesman" for="field_salesman">Salesman</label>
                    <select class="form-control" id="field_salesman" name="salesman" [(ngModel)]="prospectOrganization.salesmanId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="salesmanOption.idPartyRole" *ngFor="let salesmanOption of salesmen; trackBy: trackSalesmanById">{{salesmanOption.partyName}}</option>
                    </select>
                </div>

                <button type="button" class="btn btn-primary" (click)="openNext()">
                    <span>Next</span>
                </button>

            </p-accordionTab>
            <p-accordionTab header="Data Perusahaan/ Instansi">
                <jhi-organization-detail-view [organization]="prospectOrganization.organization" [pic]="prospectOrganization.pic" [addressTDP]="prospectOrganization.addressTDP">
                    <!-- <!-- [idProspect]="idProspect"  -->
                </jhi-organization-detail-view>
                <button type="button" class="btn btn-primary" (click)="openPrev()">
                    <span>Previous</span>
                </button>
            </p-accordionTab>
            <!-- <p-accordionTab header="Data Penawaran">
                <div class="form-group">
                    
                    <button type="button" class="btn btn-primary" [routerLink]="['/', { outlets: { popup: ['quote-item-popup-new'] } }]">>
                            <span>Tambah Unit Penawaran</span>
                        </button>
                    
                </div>
                
                <div class="form-group">
                    <div>
                        
                        <div>
                            <i>Market Name</i>
                        </div>
                        <br>
                        <div>
                            <i>Deskripsi Tipe</i>
                        </div>
                        
                    </div>
                </div>
                
                <div class="form-group">
                    <div class="row">
                        <div class="col-sm-6">
                        
                            <div>
                                <i>Kode Tipe:</i>
                            </div>
                            <br>
                            <div>
                                <i>Off The Road:</i>
                            </div>
                            <br>
                            <div>
                                <i>On The Road:</i>
                            </div>
                            
                        </div>
                        <div class="col-sm-6">
                            
                            <div>
                                <i>Qty:</i>
                            </div>
                            <br>
                            <div>
                                <i>Diskon (Rp.):</i>
                            </div>
                            <br>
                            <div>
                                <i>Nett (Rp.):</i>
                            </div>
                            
                        </div>
                    </div>
                </div>

                

                <br>
                <button type="button" class="btn btn-primary" (click)="addQuotation()">
                    <span>Konsumen Tertarik</span>
                </button>
            </p-accordionTab> -->

        </p-accordion>

        <p-footer>
            <button pButton type="button" (click)="previousState()" label="{{'entity.action.cancel' | translate}}" icon="fa-ban" class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving" label="{{'entity.action.save' | translate}}" icon="fa-save" class="ui-button-primary flat-label-button">
            </button>
        </p-footer>
    </p-panel>
</form>